set terminal postscript enhanced color eps

set style data lines
set style line 1  linetype -1 linewidth 3 lc rgb "#006600"
set style line 2  linetype -1 linewidth 3 lc rgb "#009900"
set style line 3  linetype -1 linewidth 3 lc rgb "#00CC00"
set style line 4  linetype -1 linewidth 3 lc rgb "#00FF00"
set style line 5  linetype -1 linewidth 3 lc rgb "#660000"
set style line 6  linetype -1 linewidth 3 lc rgb "#FF0000"
set style increment user

set size 0.75,0.75
#set size ratio 0.66
set border lw 2

set key top left Left reverse
set grid
set ylabel "Memory Bandwidth (GB/sec)"
set logscale x
set xlabel "Thread Blocks (CUDA) / Workgroups (OpenCL)"
set xtics 1,2,128

#######

set output "gpu-bandwidth-cuda-opencl.eps"
set title "Memory Bandwidth for Vector Addition"
plot 'k20m_128.txt'           using 1:3 with linesp ls 4 pt  5 ps 1.5 title "NVIDIA Tesla K20m, blocksize 128", \
     'k20m_256.txt'           using 1:3 with linesp ls 3 pt  5 ps 1.5 title "NVIDIA Tesla K20m, blocksize 256", \
     'k20m_512.txt'           using 1:3 with linesp ls 2 pt  5 ps 1.5 title "NVIDIA Tesla K20m, blocksize 512", \
     'k20m_1024.txt'          using 1:3 with linesp ls 1 pt  5 ps 1.5 title "NVIDIA Tesla K20m, blocksize 1024", \
     'w9100_128.txt'          using 1:3 with linesp ls 6 pt  7 ps 1.5 title "AMD FirePro W9100, blocksize 128", \
     'w9100_256.txt'          using 1:3 with linesp ls 5 pt  7 ps 1.5 title "AMD FirePro W9100, blocksize 256"


